/*
 * uart1.h
 *
 *  Created on: Sep 21, 2021
 *      Author: thomm
 */

#ifndef PHFETSOS_UART1_H_
#define PHFETSOS_UART1_H_

void uart1_init(void);
void uart1_setup(uint32_t ui32Baud, uint32_t ui32SrcClock);

int uart1_write(const char *pcBuf, uint32_t ui32Len);
int uart1_rx_str(char *pcBuf, uint32_t ui32Len);

unsigned char uart1_rx_byte(void);
void uart1_tx_byte(unsigned char c);

int uart1_rx_bytes_avail(void);
int uart1_tx_bufr_bytes_free(void);
int uart1_rx_bufr_peek(unsigned char ucChar);
void uart1_rx_bufr_flush(void);
void uart1_tx_bufr_flush(bool bDiscard);

void uart1_echo_set(bool bEnable);

void uart1_isr(void);           // plug this into interrupt table in tm4c123gh6pge_startup_ccs.c




#endif /* PHFETSOS_UART1_H_ */
